Get conversion rate

​

Returns the conversion rate and fee breakdown for the given currency pair, direction, and amount

Query Parameters

  • Currency to convert from

  • Currency to convert to

  • Conversion type (buy/sell)

  • Amount to convert

  • Widget id

  • Is passed amount with fee.

  • Payment method. Available: card, volt, apple, google

  • User wallet address. Available only if feature enabled for widget

  • User IP address. Feature must be enabled for widget.

  • Card payment system. Feature must be enabled for widget. Note that parameter can be used only with ip_address

  • User country. Feature must be enabled for widget. Note that ip_address takes precedence over country

Responses

  • application/json
  • application/json
  • Forbidden

  • Internal server error

Request Example for get/public/convert
curl 'https://sandbox-api.mrcr.io/v1.6/public/convert?from=&to=&type=&amount=&widget_id=&is_total=true'
{
  "status": 200,
  "data": {
    "type": "sell",
    "currency": "BTC",
    "amount": "0.00215648",
    "fiat_currency": "EUR",
    "fiat_amount": "100.00",
    "rate": "46371.86",
    "fee": "12.00",
    "fee_currency": "EUR"
  }
}